Nimbu Developer Docs
ReferenceBlogs

Update blog

PUT
/blogs/{blog_id}

Applies changes to the selected blog's configuration.

Authorization

AuthorizationBearer <token>

Personal access token tied to a user account. Requires the X-Nimbu-Site header to scope requests.

In: header

X-Nimbu-Site<token>

Identifier of the site context when authenticating with a personal access token.

In: header

Path Parameters

blog_id*string

Blog identifier (id or slug)

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/blogs/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "url": "http://example.com",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "header": {},
  "public_url": "http://example.com",
  "slug": "string",
  "fullpath": "string",
  "name": "string",
  "description": "string",
  "seo_title": "string",
  "seo_description": "string",
  "seo_keywords": "string",
  "customizations": [
    {}
  ]
}